#!/usr/bin/perl
#
# Script for finding available domains from textfile. BJ, v1.01 07.02.2009
#

$domainFile = "domainlist.txt";
$topleveldomainFile = "topleveldomain.txt";
$domainsavailableFile = "domainsavailable.txt";
open(FHdomainlist, $domainFile) || die("Could not open file!!");
open(FHtopleveldomain, $topleveldomainFile) || die("Could not open file!!");
open(FHdomainfound, ">$domainsavailableFile") || die("Could not open file!!");
@domainArray = <FHdomainlist>;
@topleveldomainArray = <FHtopleveldomain>;
$searchstring = "Expir";
foreach $domain (@domainArray) {
   chomp($domain);
   foreach $toplevel (@topleveldomainArray) {
      chomp($toplevel);
      $domaindata = qx/whois $domain.$toplevel/;
      if (!($domaindata =~/$searchstring.+:/i)) {
         print FHdomainfound "$domain.$toplevel\n";
      }
   }
}
close(FHdomainlist);
close(FHtopleveldomain);
close(FHdomainfound);
